## kscreen 6.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(KScreen)
set(PROJECT_VERSION "6.4.4")
set(KSCREEN_VERSION ${PROJECT_VERSION})

add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")

set(PROJECT_DEP_VERSION "6.4.4")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Test Sensors QuickControls2)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    DBusAddons
    I18n
    KCMUtils
    Svg
    XmlGui
    Crash
)
if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6Screen ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(LayerShellQt)
set_package_properties(LayerShellQt PROPERTIES
    DESCRIPTION "Layer shell Qt bindings"
    URL "https://invent.kde.org/plasma/layer-shell-qt"
    PURPOSE "Required for the screen selection osd"
    TYPE REQUIRED
)

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(WaylandProtocols 1.41)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)

option(WITH_X11 "Enable X11 support" ON)

if(WITH_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES
        DESCRIPTION "X11 libraries"
        URL "https://www.x.org"
        PURPOSE "Required for touchscreen XInput mapping to internal display"
        TYPE REQUIRED
    )
    find_package(X11_XCB REQUIRED)
    find_package(XCB REQUIRED COMPONENTS XCB ATOM)
endif()

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.12.0
)

add_subdirectory(common)
add_subdirectory(kcm)
add_subdirectory(kded)
add_subdirectory(osd)
add_subdirectory(plasmoid)
add_subdirectory(tests)
add_subdirectory(console)
add_subdirectory(hdrcalibrator)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(EXPORT KSCREEN FILE kscreen.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kscreen (4:6.4.4-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 14:41:44 +0000

kscreen (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:11:50 +0000

kscreen (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:58:42 +0000

kscreen (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

kscreen (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:40:48 +0000

kscreen (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:14:00 +0000

kscreen (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:48:52 +0000

kscreen (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:59:51 +0000

kscreen (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:59:27 +0000

kscreen (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:03:13 +0000

kscreen (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:46:40 +0000

kscreen (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:22:55 +0000

kscreen (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:12:51 +1000

kscreen (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:26:07 +0000

kscreen (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:03:22 +0000

kscreen (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:56:55 +0000

kscreen (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:01:32 +0000

kscreen (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:31:53 +0000

kscreen (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:07:38 +0000

kscreen (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:25:29 +0000

kscreen (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:02:17 +0000

kscreen (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:34:28 +0000

kscreen (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:53:41 +0000

kscreen (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:12:58 +0000

kscreen (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:41:53 +0000

kscreen (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:58:35 +0000

kscreen (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:17:59 +0000

kscreen (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:50 +1000

kscreen (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:47:13 +0000

kscreen (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:56:18 +0000

kscreen (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:04:22 +0000

kscreen (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:16:58 +0000

kscreen (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:00:17 +0000

kscreen (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:30:07 +0000

kscreen (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:24:31 +0000

kscreen (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:04:20 +0000

kscreen (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 13:56:33 +0000

kscreen (4:5.27.1.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:28:38 +0000

kscreen (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:21:11 +0000

kscreen (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:38:17 +0000

kscreen (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:16:05 +0000

kscreen (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:55:27 +0000

kscreen (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:35:44 +0000

kscreen (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 15:59:58 +0000

kscreen (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:01:12 +0000

kscreen (4:5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:32:22 +0000

kscreen (4:5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:15:14 +0000



=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Rohan Garg <rohan@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-kxmlgui-dev,
               libkf6screen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libx11-xcb-dev,
               libxcb-util-dev,
               libxi-dev,
               libxrandr-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-sensors-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
Vcs-Git: https://invent.kde.org/neon/kde/kscreen.git
Vcs-Browser: https://invent.kde.org/neon/kde/kscreen
Maintainer: Neon CI <neon@kde.org>

Package: kscreen
Architecture: any
Depends: iio-sensor-proxy,
         kde-cli-tools,
         kf6-plasma5support,
         libplasma6,
         plasma-workspace,
         qml6-module-qt5compat-graphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: upower
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

## kscreen 6.4.5

=== hdrcalibrator/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"hdrcalibrator\")
qt_policy(SET QTP0001 NEW)

add_executable(hdrcalibrator)
qt_add_qml_module(hdrcalibrator
    URI org.kde.hdrcalibrator
    QML_FILES
        ui/Main.qml
    RESOURCES
        ui/images/plasma-symbolic.svg
    DEPENDENCIES
        QtQuick
)
install(FILES "ui/images/graz.png" DESTINATION "${KDE_INSTALL_DATADIR}/kscreen")

qt6_generate_wayland_protocol_client_sources(hdrcalibrator
    FILES ${WaylandProtocols_DATADIR}/staging/color-management/color-management-v1.xml
)

target_sources(hdrcalibrator PUBLIC
    hdrcalibrator.cpp
    hdrhelper.cpp
)

target_link_libraries(hdrcalibrator PUBLIC
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::Crash
    KF6::I18n
    KF6::I18nQml
    KF6::Screen
    Qt::WaylandClient
    Qt::GuiPrivate
    Qt::QuickControls2
)
target_include_directories(hdrcalibrator PUBLIC ${CMAKE_BINARY_DIR})

ecm_qt_declare_logging_category(hdrcalibrator
    HEADER
        hdrcalibrator_debug.h
    IDENTIFIER
        HDRCALIBRATOR
    CATEGORY_NAME
        hdrcalibrator
     DESCRIPTION "hdr calibrator" EXPORT KSCREEN
)

install(TARGETS hdrcalibrator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== kded/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kscreen\")

kcoreaddons_add_plugin(kscreen INSTALL_NAMESPACE "kf6/kded")

target_sources(kscreen PRIVATE
    daemon.cpp daemon.h
    config.cpp
    generator.cpp generator.h
    device.cpp device.h
)

qt_add_dbus_interface(dbus_SRCS
    org.freedesktop.DBus.Properties.xml
    freedesktop_interface)
qt_add_dbus_interface(dbus_SRCS
    ../osd/org.kde.kscreen.osdService.xml
    osdservice_interface)

target_sources(kscreen PRIVATE ${dbus_SRCS})

target_link_libraries(kscreen PRIVATE
                              kscreen_common
                              Qt::Widgets
                              Qt::DBus
                              Qt::Quick
                              Qt::Sensors
                              KF6::CoreAddons
                              KF6::Screen
                              KF6::DBusAddons
                              KF6::I18n
                              KF6::XmlGui
)

if(WITH_X11)
    target_link_libraries(kscreen PRIVATE X11::X11 X11::Xi X11::XCB XCB::ATOM)
endif()


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen.json.in
               ${CMAKE_CURRENT_BINARY_DIR}/kscreen.json
               @ONLY)

=== debian/changelog ===
kscreen (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:37 +0100

kscreen (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on wayland-protocols (>= 1.41~)
  * Build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:25 +0100

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6config-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6svg-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkscreen-dev (>= 4:6.4.5~),
               liblayershellqtinterface-dev (>= 6.4.5~),
               libplasma-dev (>= 6.4.5~),
               libx11-xcb-dev,
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-sensors-dev (>= 6.8.0~),
               wayland-protocols (>= 1.41~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
Rules-Requires-Root: no

Package: kscreen
Architecture: any
Depends: kde-cli-tools (>= 4:6.2.90~),
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings, upower,
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kscreen 6.4.5+p24.04+vstable+git20251001.0603

=== debian/changelog ===
kscreen (4:6.4.5+p24.04+vstable+git20251001.0603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:03:28 +0000

kscreen (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:54:27 +0000

## kscreen 6.4.5+p24.04+vstable+git20251004.0538

=== debian/changelog ===
kscreen (4:6.4.5+p24.04+vstable+git20251004.0538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:38:49 +0000

## kscreen 6.4.5+p24.04+vstable+git20251019.0256

=== debian/changelog ===
kscreen (4:6.4.5+p24.04+vstable+git20251019.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:56:52 +0000

## kscreen 6.4.5+p24.04+vstable+git20251020.0059

=== debian/changelog ===
kscreen (4:6.4.5+p24.04+vstable+git20251020.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:59:29 +0000

## kscreen 6.4.5+p24.04+vunstable+git20251009.0747

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.5.80")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.4.4")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.90")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -33,7 +33,10 @@
 
 include_directories("${CMAKE_CURRENT_BINARY_DIR}")
 
-find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Test Sensors QuickControls2)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Test QuickControls2)
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     Config
@@ -44,9 +47,12 @@
     XmlGui
     Crash
 )
-if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
-    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
-endif()
+find_package(KF6ImageFormats ${KF6_MIN_VERSION} CONFIG)
+set_package_properties(KF6ImageFormats PROPERTIES
+    DESCRIPTION "Provides support for more image formats in Qt"
+    PURPOSE "Required to load the HDR test image"
+    TYPE RUNTIME
+)
 
 find_package(KF6Screen ${PROJECT_DEP_VERSION} REQUIRED)
 find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kscreen (4:6.4.5+p24.04+vunstable+git20251009.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 07:47:38 +0000

## kscreen 6.4.5+p24.04+vunstable+git20251015.1329

=== debian/changelog ===
kscreen (4:6.4.5+p24.04+vunstable+git20251015.1329-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:29:07 +0000

## kscreen 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.4.91")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.4.91")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
kscreen (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:28:42 +0200

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.4.91~),
               liblayershellqtinterface-dev (>= 6.4.91~),
               libplasma-dev (>= 6.4.91~),
               libx11-xcb-dev,
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-sensors-dev (>= 6.7.0~),
               wayland-protocols (>= 1.41~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kscreen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreen.git
Rules-Requires-Root: no

Package: kscreen
Architecture: any
Depends: kde-cli-tools (>= 4:6.2.90~),
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
            upower,
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

## kscreen 6.5.0

=== osd/CMakeLists.txt ===
add_executable(kscreen_osd_service main.cpp osdmanager.cpp osd.cpp osd.h)

ecm_add_qml_module(kscreen_osd_service URI "org.kde.kscreen.osd" QML_FILES qml/OsdSelector.qml)

qt_add_dbus_adaptor(DBUS_SRC org.kde.kscreen.osdService.xml osdmanager.h KScreen::OsdManager)
target_sources(kscreen_osd_service PRIVATE ${DBUS_SRC})

target_link_libraries(kscreen_osd_service PRIVATE
    kscreen_common
    Qt::DBus
    Qt::Quick
    KF6::I18n
    KF6::WindowSystem
    KF6::Screen
    LayerShellQt::Interface
)

install(TARGETS kscreen_osd_service DESTINATION ${KDE_INSTALL_LIBEXECDIR})

ecm_generate_dbus_service_file(
    NAME org.kde.kscreen.osdService
    EXECUTABLE ${KDE_INSTALL_FULL_LIBEXECDIR}/kscreen_osd_service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
    SYSTEMD_SERVICE plasma-kscreen-osd.service
)

ecm_install_configured_files(INPUT plasma-kscreen-osd.service @ONLY
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

install(FILES org.kde.kscreen.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kglobalaccel)

=== debian/changelog ===
kscreen (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:09 +0200

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkscreen-dev (>= 4:6.4.91~),
+               libkscreen-dev (>= 4:6.5.0~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,
@@ -35,7 +35,6 @@
 Homepage: https://invent.kde.org/plasma/kscreen
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreen
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreen.git
-Rules-Requires-Root: no
 
 Package: kscreen
 Architecture: any

## kscreen 6.5.0+p24.04+vstable+git20251021.0903

=== debian/changelog ===
kscreen (4:6.5.0+p24.04+vstable+git20251021.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:03:20 +0000

kscreen (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Rohan Garg <rohan@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kimageformat-plugins,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-kxmlgui-dev,
               libkf6screen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libx11-xcb-dev,
               libxcb-util-dev,
               libxi-dev,
               libxrandr-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-sensors-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
Vcs-Git: https://invent.kde.org/neon/kde/kscreen.git
Vcs-Browser: https://invent.kde.org/neon/kde/kscreen
Maintainer: Neon CI <neon@kde.org>

Package: kscreen
Architecture: any
Depends: iio-sensor-proxy,
         kde-cli-tools,
         kf6-plasma5support,
         libplasma6,
         plasma-workspace,
         qml6-module-qt5compat-graphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: upower
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         libkf5service-bin,
         xauth,
         xserver-xephyr,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

## kscreen 6.5.0+p24.04+vunstable+git20251021.0801

=== debian/changelog ===
kscreen (4:6.5.0+p24.04+vunstable+git20251021.0801-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:01:13 +0000

## kscreen 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.1")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_kscreen\")

kcmutils_add_qml_kcm(kcm_kscreen)

target_sources(kcm_kscreen PRIVATE
    config_handler.cpp config_handler.h
    kcm.cpp kcm.h
    output_model.cpp output_model.h
    ${kwincompositing_SRC}
)

ecm_qt_declare_logging_category(kcm_kscreen
    HEADER
        kcm_screen_debug.h
    IDENTIFIER
        KSCREEN_KCM
    CATEGORY_NAME
        kscreen.kcm
     DESCRIPTION "kscreen kcm (kscreen)" EXPORT KSCREEN
)

kconfig_add_kcfg_files(kcm_kscreen GENERATE_MOC globalscalesettings.kcfgc)
kconfig_add_kcfg_files(kcm_kscreen GENERATE_MOC kwincompositing_setting.kcfgc)
target_link_libraries(kcm_kscreen PRIVATE
    kscreen_common
    Qt::DBus
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::I18n
    Plasma::PlasmaQuick
    KF6::KCMUtilsQuick
    KF6::Screen
)

=== plasmoid/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.kscreen\")

plasma_add_applet(org.kde.kscreen
  QML_SOURCES
    main.qml
    InhibitionHint.qml
    PresentationModeItem.qml
    ScreenLayoutSelection.qml
  CPP_SOURCES
    kscreenapplet.cpp
)

target_link_libraries(org.kde.kscreen PRIVATE
                      Qt::Qml
                      KF6::I18n
                      Plasma::Plasma
                      KF6::Screen
                      kscreen_common
                      )

=== tests/CMakeLists.txt ===
add_subdirectory(kded)

=== debian/changelog ===
kscreen (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:15:38 +0100

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.5.1~),
               liblayershellqtinterface-dev (>= 6.4.91~),
               libplasma-dev (>= 6.5.1~),
               libx11-xcb-dev,
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-sensors-dev (>= 6.7.0~),
               wayland-protocols (>= 1.41~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kscreen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreen.git

Package: kscreen
Architecture: any
Depends: kde-cli-tools (>= 4:6.2.90~),
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
            upower,
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

## kscreen 6.5.1+p24.04+vstable+git20251029.0935

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")

=== debian/changelog ===
kscreen (4:6.5.1+p24.04+vstable+git20251029.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 09:35:09 +0000

kscreen (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:44:50 +0000

## kscreen 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== console/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kscreen\")

add_executable(kscreen-console main.cpp console.cpp console.h)

target_link_libraries(kscreen-console
    Qt::DBus
    Qt::Gui
    KF6::CoreAddons
    KF6::I18n
    KF6::Screen
    KF6::WindowSystem
)

install(TARGETS kscreen-console ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== kded/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
                               Qt::Widgets
                               Qt::DBus
                               Qt::Quick
-                              Qt::Sensors
                               KF6::CoreAddons
                               KF6::Screen
                               KF6::DBusAddons

=== debian/changelog ===
kscreen (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:44 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkscreen-dev (>= 4:6.5.1~),
+               libkscreen-dev (>= 4:6.5.2~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.5.1~),
+               libplasma-dev (>= 6.5.2~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,

## kscreen 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== common/CMakeLists.txt ===
add_library(kscreen_common OBJECT control.cpp globals.cpp osdaction.cpp  output.cpp  utils.cpp)
ecm_qt_declare_logging_category(kscreen_common HEADER kscreen_daemon_debug.h IDENTIFIER KSCREEN_KDED CATEGORY_NAME kscreen.kded DESCRIPTION "kscreen kded (kscreen)" EXPORT KSCREEN)
set_property(TARGET kscreen_common PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kscreen_common PRIVATE Qt::Core KF6::Screen KF6::CoreAddons KF6::I18n)
target_include_directories(kscreen_common PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")

=== debian/changelog ===
kscreen (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:18 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkscreen-dev (>= 4:6.5.2~),
+               libkscreen-dev (>= 4:6.5.3~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,

## kscreen 6.5.3+p24.04+vunstable+git20251127.0517

=== debian/changelog ===
kscreen (4:6.5.3+p24.04+vunstable+git20251127.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 27 Nov 2025 05:17:40 +0000

kscreen (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:45 +1000

kscreen (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:54 +1000

## kscreen 6.5.3+p24.04+vunstable+git20251206.0814

=== debian/changelog ===
kscreen (4:6.5.3+p24.04+vunstable+git20251206.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:14:36 +0000

## kscreen 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== osd/CMakeLists.txt ===
--- 
+++ 
@@ -28,4 +28,4 @@
     DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
 )
 
-install(FILES org.kde.kscreen.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kglobalaccel)
+install(PROGRAMS org.kde.kscreen.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kglobalaccel)

=== debian/changelog ===
kscreen (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkscreen-dev (>= 4:6.5.3~),
+               libkscreen-dev (>= 4:6.5.4~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,

## kscreen 6.5.4+p24.04+vstable+git20260101.0056

=== debian/changelog ===
kscreen (4:6.5.4+p24.04+vstable+git20260101.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:56:19 +0000

kscreen (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:05 +1000

## kscreen 6.5.4+p24.04+vstable+git20260103.0421

=== debian/changelog ===
kscreen (4:6.5.4+p24.04+vstable+git20260103.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:21:29 +0000

## kscreen 6.5.4+p24.04+vstable+git20260107.0940

=== debian/changelog ===
kscreen (4:6.5.4+p24.04+vstable+git20260107.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:40:14 +0000

## kscreen 6.5.4+p24.04+vstable+git20260109.0314

=== debian/changelog ===
kscreen (4:6.5.4+p24.04+vstable+git20260109.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 03:14:02 +0000

## kscreen 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
kscreen (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:11 +0000

kscreen (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:36 +0000

kscreen (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:06 +0000

kscreen (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:51 +0000

kscreen (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:06 +0000

kscreen (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:49 +0100

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.5.5~),
               liblayershellqtinterface-dev (>= 6.5.5~),
               libplasma-dev (>= 6.5.5~),
               libx11-xcb-dev,
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0+dfsg~),
               qt6-sensors-dev (>= 6.9.0~),
               wayland-protocols (>= 1.41~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
Rules-Requires-Root: no

Package: kscreen
Architecture: any
Depends: kde-cli-tools (>= 4:6.2.90~),
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings, upower,
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

## kscreen 6.5.5+p24.04+vstable+git20260129.0058

=== debian/changelog ===
kscreen (4:6.5.5+p24.04+vstable+git20260129.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:58:27 +0000

kscreen (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:08 +1000

## kscreen 6.5.5+p24.04+vunstable+git20260130.1402

=== debian/changelog ===
kscreen (4:6.5.5+p24.04+vunstable+git20260130.1402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:02:31 +0000
